package com.example.reda.trrapp;

import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.content.Intent;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.EditText;


public class TRRActivity extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_trr);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fab);
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_trr, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
    public void envoiMessage (View view){ Intent intent = new Intent(this, AffichMessage.class);
        EditText editText = (EditText) findViewById(R.id. nom);
        String message = editText.getText().toString();
        EditText editText1 = (EditText) findViewById(R.id. num);
        String message2 = editText1.getText().toString();
        EditText editText2 = (EditText) findViewById(R.id. email);
        String message3 = editText2.getText().toString();




        intent.putExtra(MESSAGE_SUPP, message);
        intent.putExtra(MESSAGE_SUPP2, message2);
        intent.putExtra(MESSAGE_SUPP3, message3);

        startActivity(intent); }
    public final static String MESSAGE_SUPP = "android. polytech.monappli.MESSAGE";
    public final static String MESSAGE_SUPP2= "android. polytech.monappli.MESSAGE2";
    public final static String MESSAGE_SUPP3 = "android. polytech.monappli.MESSAGE3";



}
